<!-- templates/base.html -->

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">

  {% load bootstrap5 %}   
  {% bootstrap_css %}
  {% bootstrap_javascript %}
  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}"/>
  <title>{% block title %}Django{% endblock %}</title>  
  
 </head>
<body style="background-color: #e4e4e4;">
  <nav class="navbar navbar-expand-lg px-4">
    <a class="navbar-brand" href="{% url 'home' %}">Accueil</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'logout' %}">Déconnexion</a>
          </li>
        {% else %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">Connexion</a>
          </li>
        {% endif %}
      </ul>
    </div>
  </nav>

  <main class="px-5 py-5 text-center">
    
    {% block content %}
    {% endblock %}
    
  </main>
</body>
</html>